gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Registers a method to be called periodically. System.Object
- Method
  System.UInt32 `` `` Registers a to be called periodically. a a a The will be called repeatedly after milliseconds until it returns at which point the is destroyed and will not be called again.

  The first execution of the callback will only occur after the has elapsed. In other words, it won't be executed right away after calling .

- Method
  System.UInt32 `` `` `` `` `` Registers a to be called periodically. a a a a a a The will be called repeatedly after milliseconds until it returns at which point the is destroyed and will not be called again.
- Method
  System.Void `` Removes the given timeout destroying all information about it. a
- Constructor
  Internal Constructor
  a
  This should not be called directly by typical applications.